---
title: <view>
slug: Web/SVG/Element/view
tags:
  - Element
  - NeedsExample
  - Reference
  - SVG
---
<div>{{SVGRef}}</div>

<p>A view is a defined way to view the image, like a zoom level or a detail view.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Aria_attributes" title="en/SVG/Attribute#Core">Aria attributes</a> »</li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes" title="en/SVG/Attribute#Core">Core attributes</a> »</li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Global_event_attributes" title="en/SVG/Attribute#Core">Global event attributes</a> »</li>
 <li>{{SVGAttr("externalResourcesRequired")}}</li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
 <li>{{SVGAttr("viewBox")}}</li>
 <li>{{SVGAttr("preserveAspectRatio")}}</li>
 <li>{{SVGAttr("zoomAndPan")}}</li>
 <li>{{SVGAttr("viewTarget")}}</li>
</ul>

<h2 id="Example">Example</h2>

<h3 id="SVG">SVG</h3>

<pre class="brush: html">&lt;svg width="600" height="200" viewBox="0 0 600 200"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"&gt;
  &lt;defs&gt;
    &lt;radialGradient id="gradient"&gt;
      &lt;stop offset="0%" stop-color="#8cffa0" /&gt;
      &lt;stop offset="100%" stop-color="#8ca0ff" /&gt;
    &lt;/radialGradient&gt;
  &lt;/defs&gt;

  &lt;circle r="50" cx="180" cy="50" style="fill:url(#gradient)"/&gt;

  &lt;view id="halfSizeView" viewBox="0 0 1200 400"/&gt;
  &lt;view id="normalSizeView" viewBox="0 0 600 200"/&gt;
  &lt;view id="doubleSizeView" viewBox="0 0 300 100"/&gt;

  &lt;a xlink:href="#halfSizeView"&gt;
    &lt;text x="5" y="20" font-size="20"&gt;half size&lt;/text&gt;
  &lt;/a&gt;
  &lt;a xlink:href="#normalSizeView"&gt;
    &lt;text x="5" y="40" font-size="20"&gt;normal size&lt;/text&gt;
  &lt;/a&gt;
  &lt;a xlink:href="#doubleSizeView"&gt;
    &lt;text x="5" y="60" font-size="20"&gt;double size&lt;/text&gt;
  &lt;/a&gt;
&lt;/svg&gt;</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 600, 200)}}</p>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGViewElement")}} interface.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG2', 'linking.html#ViewElement', '&lt;view&gt;')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'linking.html#ViewElement', '&lt;view&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>


<p>{{Compat("svg.elements.view")}}</p>

